#include "JPeerSDK.h"

JObject::JObject(JNIEnv *env)
{
	mEnv   = env;
	mClassRef  = NULL;
	mIndex = -1;
	mPeerAddress = NULL;
}

JObject::JObject(JNIEnv *env, jobject thiz)
{
	mEnv   = env;
	mIndex = -1;
}

JObject::JObject(JNIEnv *env, jobject thiz, jlong peerAddress)
{
	mEnv   = env;
	mPeerAddress  = peerAddress;
	mIndex = -1;
}

JObject::JObject(JNIEnv *env, jobject thiz, jlong peerAddress, jint index)
{
	mEnv   = env;
	mPeerAddress  = peerAddress;
	mIndex = index;
}

JObject::~JObject()
{
}

jint JObject::getIndex()
{
	return mIndex;
}

jlong JObject::getPeerAddress()
{
	return mPeerAddress;
}

JNIEnv* JObject::getEnv()
{
	return mEnv;
}
